#ifndef XAUDIOSTREAMINFO_H
#define XAUDIOSTREAMINFO_H

#include "xasset.h"

class XSoundFileRef;

class XAudioStreamInfo : public XAsset
{
public:
    XAudioStreamInfo();
    ~XAudioStreamInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mNumStreams;
    quint8 mChannelCount;
};

#endif // XAUDIOSTREAMINFO_H
